<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:c="http://java.sun.com/jstl/core">

    <s:div rendered="#{attachmentList != null and attachmentList.size() > 0}">
        <h3>#{messages['net.ihe.gazelle.webservice.tester.Attachments']}</h3>

        <ul class="nav nav-tabs" role="tablist">
            <c:forEach items="#{attachmentList}"
                       var="attachment">
                <li role="presentation" class="active">
                    <a href="##{attachment.id}" aria-controls="#{attachment.id}"
                       role="tab"
                       data-toggle="tab">#{attachment.name}
                    </a>
                </li>
            </c:forEach>
        </ul>

        <div class="tab-content">
            <c:forEach items="#{attachmentList}"
                       var="attachment">
                <div role="tabpanel" class="tab-pane active"
                     id="{attachment.id}">
                    <s:decorate template="/layout/display/_display.xhtml"
                                rendered="#{attachment.name != null}">
                        <ui:define name="label">#{messages['gazelle.simu.Name']}</ui:define>
                        <h:outputText value="#{attachment.name}"/>
                    </s:decorate>

                    <s:decorate template="/layout/display/_display.xhtml"
                                rendered="#{attachment.contentId != null}">
                        <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.ContentID']}</ui:define>
                        <h:outputText value="#{attachment.contentId}"/>
                    </s:decorate>

                    <s:decorate template="/layout/display/_display.xhtml"
                                rendered="#{attachment.part != null}">
                        <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.Part']}</ui:define>
                        <h:outputText value="#{attachment.part}"/>
                    </s:decorate>

                    <s:decorate template="/layout/display/_display.xhtml"
                                rendered="#{attachment.contentType != null}">
                        <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.ContentType']}</ui:define>
                        <h:outputText value="#{attachment.contentType}"/>
                    </s:decorate>

                    <s:decorate template="/layout/display/_display.xhtml"
                                rendered="#{attachment.size != null}">
                        <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.Size']}</ui:define>
                        <h:outputText value="#{attachment.size}"/>
                    </s:decorate>

                    <s:decorate template="/layout/display/_display.xhtml"
                                rendered="#{attachment.url != null}">
                        <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.Url']}</ui:define>
                        <h:outputText value="#{attachment.url}"/>
                    </s:decorate>

                    <s:decorate template="/layout/display/_display.xhtml"
                                rendered="#{attachment.encoding != null}">
                        <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.Encoding']}</ui:define>
                        <h:outputText value="#{attachment.encoding}"/>
                    </s:decorate>


                    <span>
                        <b>#{messages['net.ihe.gazelle.webservice.tester.Content']}</b>
                        <h:commandLink action="#{attachment.downloadAttachement()}"
                                       rendered="#{attachment.content != null}">
                            <s:span title="Download file"
                                    styleClass="gzl-icon-download text-info"/>
                        </h:commandLink>
                    </span>
                    <s:div style="overflow: auto">
                        <h:outputText
                                value="#{attachment.getContentFormatted()}"
                                escape="false"/>
                    </s:div>
                    <rich:panel styleClass="gzl-alert gzl-alert-orange"
                                rendered="#{attachment.getContentFormatted() == null}">
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.webservice.tester.TheContentOfTheAttachmentCanNotBeDisplayed']}"/>
                    </rich:panel>
                </div>
            </c:forEach>
        </div>
    </s:div>
</ui:composition>